summaryrefslogtreecommitdiffstats
path: root/rsync-debuginfo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rsync-debuginfo.sh')
-rwxr-xr-xrsync-debuginfo.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/rsync-debuginfo.sh b/rsync-debuginfo.sh
new file mode 100755
index 0000000..f6d6aa3
--- /dev/null
+++ b/rsync-debuginfo.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Given arch and version, fetch all debuginfo packages
+
+source config.sh
+
+if [ -z "$cachedir" ]; then
+ echo "Couldn't find config.sh - exiting."
+ exit 1
+fi
+
+# FIXME get these from commandline
+ver="10"
+arch="i386"
+
+rpmdir="$cachedir/debuginfo-$ver-$arch"
+
+# FIXME use mirrormanager / yum repo files / something
+server="rsync://wallace.redhat.com/fedora-enchilada/linux"
+
+# This is dumb. Use a dict or something.
+testing=$server/updates/testing/$ver/$arch/debug
+updates=$server/updates/$ver/$arch/debug
+fedora=$server/releases/$ver/Everything/$arch/debug
+
+mkdir -p $rpmdir
+rsync -avz $@ --progress $testing $rpmdir/testing
+rsync -avz $@ --progress $updates $rpmdir/updates
+rsync -avz $@ --progress $fedora $rpmdir/fedora
+find $rpmdir/testing -name "*.rpm" \
+ -exec ./unpack-debuginfo.sh testing-$ver-$arch {} +
+find $rpmdir/updates -name "*.rpm" \
+ -exec ./unpack-debuginfo.sh updates-$ver-$arch {} +
+find $rpmdir/fedora -name "*.rpm" \
+ -exec ./unpack-debuginfo.sh fedora-$ver-$arch {} +
+./make-links.sh testing-$ver-$arch updates-$ver-$arch fedora-$ver-$arch